> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get Recurring Gifts for a Contact

GET https://api.virtuoussoftware.com/api/RecurringGift/ByContact/{contactId}

Reference: https://virtuous.ferndocs.com/reference/crm-plus/giving/get-recurring-gifts-for-a-contact

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `contactId` (string, required)

### Query parameters

- `sortBy` (string, optional) — The field to be sorted. Supported: Id, RecurringGiftDate, Amount, CreatedDateTime.
- `descending` (string, optional) — The direction to be sorted.
- `skip` (integer, optional) — The number of records to skip. Default = 0.
- `take` (integer, optional) — The number of records to take. Default = 10.

## Response

### 200

OK

- `list` (list of ApiRecurringGiftByContactContactIdGetResponsesContentApplicationJsonSchemaListItems, optional)
- `total` (string, optional)

## Types

### ApiRecurringGiftByContactContactIdGetResponsesContentApplicationJsonSchemaListItems

- `id` (string, optional)
- `transactionSource` (string, optional)
- `transactionId` (string, optional)
- `contactId` (string, optional)
- `startDate` (string, optional)
- `amount` (string, optional)
- `frequency` (string, optional)
- `anticipatedEndDate` (string, optional)
- `cancelDateTimeUtc` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `segmentId` (string, optional)
- `segment` (string, optional)
- `segmentUrl` (string, optional)
- `automatedPayments` (string, optional)
- `trackPayments` (string, optional)
- `isPrivate` (string, optional)
- `status` (string, optional)
- `nextExpectedPaymentDate` (string, optional)
- `designations` (list of ApiRecurringGiftByContactContactIdGetResponsesContentApplicationJsonSchemaListItemsDesignationsItems, optional)
- `customFields` (list of ApiRecurringGiftByContactContactIdGetResponsesContentApplicationJsonSchemaListItemsCustomFieldsItems, optional)

### ApiRecurringGiftByContactContactIdGetResponsesContentApplicationJsonSchemaListItemsDesignationsItems

- `projectId` (string, optional)
- `project` (string, optional)
- `projectUrl` (string, optional)
- `amountDesignated` (string, optional)
- `projectCode` (string, optional)

### ApiRecurringGiftByContactContactIdGetResponsesContentApplicationJsonSchemaListItemsCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

## Examples

**Response**

```json
{
  "list": [
    {
      "id": "<integer>",
      "transactionSource": "<string>",
      "transactionId": "<string>",
      "contactId": "<integer>",
      "startDate": "<dateTime>",
      "amount": "<double>",
      "frequency": "<string>",
      "anticipatedEndDate": "<dateTime>",
      "cancelDateTimeUtc": "<dateTime>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "segmentId": "<integer>",
      "segment": "<string>",
      "segmentUrl": "<string>",
      "automatedPayments": "<boolean>",
      "trackPayments": "<boolean>",
      "isPrivate": "<boolean>",
      "status": "<string>",
      "nextExpectedPaymentDate": "<dateTime>",
      "designations": [
        {
          "projectId": "<integer>",
          "project": "<string>",
          "projectUrl": "<string>",
          "amountDesignated": "<double>",
          "projectCode": "<string>"
        },
        {
          "projectId": "<integer>",
          "project": "<string>",
          "projectUrl": "<string>",
          "amountDesignated": "<double>",
          "projectCode": "<string>"
        }
      ],
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    },
    {
      "id": "<integer>",
      "transactionSource": "<string>",
      "transactionId": "<string>",
      "contactId": "<integer>",
      "startDate": "<dateTime>",
      "amount": "<double>",
      "frequency": "<string>",
      "anticipatedEndDate": "<dateTime>",
      "cancelDateTimeUtc": "<dateTime>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "segmentId": "<integer>",
      "segment": "<string>",
      "segmentUrl": "<string>",
      "automatedPayments": "<boolean>",
      "trackPayments": "<boolean>",
      "isPrivate": "<boolean>",
      "status": "<string>",
      "nextExpectedPaymentDate": "<dateTime>",
      "designations": [
        {
          "projectId": "<integer>",
          "project": "<string>",
          "projectUrl": "<string>",
          "amountDesignated": "<double>",
          "projectCode": "<string>"
        },
        {
          "projectId": "<integer>",
          "project": "<string>",
          "projectUrl": "<string>",
          "amountDesignated": "<double>",
          "projectCode": "<string>"
        }
      ],
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    }
  ],
  "total": "<integer>"
}
```

**SDK Code**

```python Giving_getRecurringGiftsForAContact_example
import requests

url = "https://api.virtuoussoftware.com/api/RecurringGift/ByContact/contactId"

querystring = {"sortBy":"<string>","descending":"<boolean>","skip":"1","take":"1"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Giving_getRecurringGiftsForAContact_example
const url = 'https://api.virtuoussoftware.com/api/RecurringGift/ByContact/contactId?sortBy=%3Cstring%3E&descending=%3Cboolean%3E&skip=1&take=1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Giving_getRecurringGiftsForAContact_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/RecurringGift/ByContact/contactId?sortBy=%3Cstring%3E&descending=%3Cboolean%3E&skip=1&take=1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Giving_getRecurringGiftsForAContact_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/RecurringGift/ByContact/contactId?sortBy=%3Cstring%3E&descending=%3Cboolean%3E&skip=1&take=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Giving_getRecurringGiftsForAContact_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/RecurringGift/ByContact/contactId?sortBy=%3Cstring%3E&descending=%3Cboolean%3E&skip=1&take=1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Giving_getRecurringGiftsForAContact_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.virtuoussoftware.com/api/RecurringGift/ByContact/contactId?sortBy=%3Cstring%3E&descending=%3Cboolean%3E&skip=1&take=1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Giving_getRecurringGiftsForAContact_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/RecurringGift/ByContact/contactId?sortBy=%3Cstring%3E&descending=%3Cboolean%3E&skip=1&take=1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Giving_getRecurringGiftsForAContact_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/RecurringGift/ByContact/contactId?sortBy=%3Cstring%3E&descending=%3Cboolean%3E&skip=1&take=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```